DECLARE SUB Stats ()
DECLARE SUB Receptionist ()
DECLARE SUB Slab2 ()
DECLARE SUB StorageRoom ()
DECLARE SUB Slab ()
DECLARE SUB CannotDo ()
DECLARE SUB Help ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
DECLARE SUB RestoreInGame ()
DECLARE SUB SaveGame ()
'$INCLUDE: 'c:\bc7\programs\cyber\global.bi'             

SUB Hallway1

RestoreRoom = 7
Room:
  CLS
  PRINT "You are in a short hallway in a dark building.  The air is stale and tastes"
  PRINT "like chemicals.  A bare bulb lights the hall.  Heavy metal doors are to the"
  PRINT "north and south, while a wooden door is to the east.  To the west is what"
  PRINT "seems to be a reception area."
Command:
  LINE INPUT "> "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "NORTH" OR a$ = "GO NORTH" THEN Slab
  IF a$ = "S" OR a$ = "SOUTH" OR a$ = "GO SOUTH" THEN Slab2
  IF a$ = "E" OR a$ = "EAST" OR a$ = "GO EAST" THEN StorageRoom
  IF a$ = "W" OR a$ = "WEST" OR a$ = "GO WEST" THEN GOTO GoWest
  IF a$ = "STATS" THEN Stats: GOTO Command
  IF a$ = "SEARCH" OR a$ = "SEARCH ROOM" THEN GOTO SearchRoom: GOTO Command
  IF a$ = "LOOK" THEN GOTO Room: GOTO Command
  IF a$ = "HELP" OR a$ = "?" THEN Help: GOTO Room
  IF a$ = "QUIT" OR a$ = "EXIT" THEN Quit: GOTO Command
  IF a$ = "I" OR a$ = "INVENTORY" THEN Inventory: GOTO Command
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO Command
  IF a$ = "RESTORE" OR a$ = "RESTORE GAME" THEN RestoreInGame: GOTO Command
  IF a$ = "GET LIGHTBULB" OR a$ = "GET BULB" OR a$ = "GET LIGHT BULB" THEN PRINT "It isn't worth taking.": GOTO Command
  CannotDo
  GOTO Command

SearchRoom:
  PRINT "There isn't anything here that you need."
  GOTO Command

GoWest:
  IF Clothing = 0 THEN PRINT "You need to find something to wear before you leave this place.": GOTO Command
  Receptionist

END SUB

